Subject: Re: [GIT] Networking

From: Greg KH <[email-masked]>
Date: Mon, 24 Feb 2020 13:47:32 +0100

On Mon, Feb 24, 2020 at 11:01:09AM +0100, Geert Uytterhoeven wrote:
> Hi Linus,
> 
> On Thu, Jun 25, 2015 at 1:38 AM Linus Torvalds
> <[email-masked]> wrote:
> > On Wed, Jun 24, 2015 at 6:39 AM, David Miller <[email-masked]> wrote:
> > >   git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git master
> >
> > On the *other* side of the same conflict, I find an even more
> > offensive commit, namely commit 4cd7c9479aff ("IB/mad: Add support for
> > additional MAD info to/from drivers") which adds a BUG_ON() for a
> > sanity check, rather than just returning -EINVAL or something sane
> > like that.
> >
> > I'm getting *real* tired of that BUG_ON() shit. I realize that
> > infiniband is a niche market, and those "commercial grade" niche
> > markets are more-than-used-to crap code and horrible hacks, but this
> > is still the kernel. We don't add random machine-killing debug checks
> > when it is *so* simple to just do
> >
> >         if (WARN_ON_ONCE(..))
> >                 return -EINVAL;
> >
> > instead.
> 
> And if we follow that advice, friendly Greg will respond with:
> "We really do not want WARN_ON() anywhere, as that causes systems with
>  panic-on-warn to reboot."
> https://lore.kernel.org/lkml/[email-masked]/

Yes, we should not have any WARN_ON calls for something that userspace
can trigger, because then syzbot will trigger it and we will get an
annoying report saying to fix it :)

thanks,

greg k-h